Last Comment Bug 629234 - (Nvidia, Linux) Very slow scrolling on pages using sprite sheets too large to fit in a GPU texture
: (Nvidia, Linux) Very slow scrolling on pages using sprite sheets too large to...
Status: NEW
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All Linux
: P2 major with 20 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://bugs.launchpad.net/ubuntu/+so...
: 644275 671862 (view as bug list)
Depends on:
Blocks: 100951
  Show dependency treegraph
 
Reported: 2011-01-26 17:01 PST by Artem S. Tashkinov
Modified: 2015-11-16 11:22 PST (History)
37 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Artem S. Tashkinov 2011-01-26 17:01:24 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13
Build Identifier: Mozilla/5.0 (X11; Linux i686; rv:2.0b10) Gecko/20100101 Firefox/4.0b10

Under Linux you cannot scroll the aforementioned URL - scrolling is extremely jerky while Firefox consumes 100% of CPU.

Reproducible: Always

Steps to Reproduce:
Visit the given URL.
Actual Results:  
Terribly slow and jerky scrolling.

Expected Results:  
Smooth scrolling.

This problem exists both in Firefox 3.6.13 and 4.0beta10 with clean (new) profiles.

Opera 11 and Google Chrome 8 don't exhibit this problem.
Comment 1 Srinivas 2011-01-27 22:11:51 PST
Mozilla/5.0 (X11; Linux i686; rv:2.0b10) Gecko/20100101 Firefox/4.0b10
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.8) Gecko/20100723 Ubuntu/10.04 (lucid) Firefox/3.6.8

Works fine for me
Comment 2 Artem S. Tashkinov 2011-01-28 07:37:29 PST
It's 100% reproducible when running on NVIDIA GPU with NVIDIA proprietary drivers.
Comment 3 andylembke 2011-01-28 14:05:55 PST
This is the comment about that bug by AaronP, a Nvidia Linux Driver developer, maybe it helps: 
" I took a look today, and it appears that Firefox is using an enormous pixmap that exceeds the GPU's maximum rendering dimensions, causing software fallbacks. While we will attempt to make it as fast as possible, performance would be greatly improved if Firefox would render using surfaces that fit within the maximum renderable dimensions."
Also see: http://www.nvnews.net/vbulletin/showthread.php?t=152295
Comment 4 George Carstoiu 2011-02-04 06:59:46 PST
Mozilla/5.0 (X11; Linux i686; rv:2.0b11) Gecko/20100101 Firefox/4.0b11

I was unable to reproduce issue with an integrated Intel card. Can someone having a Nvidia card confirm issue?
Comment 5 Johan R 2011-02-04 09:44:29 PST
I can confirm this on nvidia.
I am running archlinux, firefox 3.6.13, xorg 1.9.3.901 and nvidia 260.19.36 (on both GTX460 and GT240).
I have seen this for a long time but when i tested it now again i noticed that if i set a non-default zoom level the page is quick, perhaps this can be a hint to someone fixing this annoying performance problem.
Comment 6 andylembke 2011-02-04 09:57:03 PST
I can confirm this bug, with my 8600m GT Nvidia proprietary driver version 260.xx - 270.xx, Firefox 3.6 - 4.0, Ubuntu 10.10, although for me it is much more obvious on this URL: https://launchpad.net/~ubuntu-mozilla-daily/+archive/ppa

I can also confirm that changing the zoom level to a non default one makes it much better or even go away completely.
Comment 7 Artem S. Tashkinov 2011-02-04 10:46:21 PST
NVIDIA 8800GT, 270.18 drivers, no matter which zoom level is set, page scrolling is very slow and jerky.
Comment 8 henrik 2011-02-05 11:49:18 PST
I can confirm this problem as well, on a NVIDIA 8800GT using the 260 and 270 drivers at least, but it has existed prior to them as well, as far as I know. 

However the nouveau driver seems to handle the page just fine. Could it not be a driver problem after all?
Comment 9 George Carstoiu 2011-02-07 02:35:18 PST
Thank you for being so fast in verifying this issue. 

Can you please test problem having the latest nvidia official drivers installed, just to make sure it's not driver related.
Comment 10 Johan R 2011-02-07 03:54:42 PST
I am pretty sure most of us here used the latest official (260.19.36) when we verified this problem.
Comment 11 George Carstoiu 2011-02-07 06:03:57 PST
Considering Comments 5 to 10, I am changing resolution to New. 

Can someone with a Nvidia card please perform a regression range?
Comment 12 Julien Wajsberg [:julienw] 2011-02-14 01:53:26 PST
I've no problem with the "open source" nv driver on Firefox 4 beta 1. I'll check with the nouveau driver later.
Comment 13 Artem S. Tashkinov 2011-02-14 11:28:17 PST
(In reply to comment #12)
> I've no problem with the "open source" nv driver on Firefox 4 beta 1. I'll
> check with the nouveau driver later.

nouveau driver doesn't have this problem according to people commented on nvnews.net:

ShiningArcanine wrote:
> I tried switching to the Nouveau driver on my laptop and it eliminated the lag issues
Comment 14 Julien Wajsberg [:julienw] 2011-02-14 13:56:08 PST
Yes, I can confirm this.
Comment 15 George Carstoiu 2011-02-17 00:44:50 PST
Artem, are you still able to observe issue?
Comment 16 Artem S. Tashkinov 2011-02-17 01:30:43 PST
(In reply to comment #15)
> Artem, are you still able to observe issue?

Yes, I'm now running NVIDIA drivers 270.26. Like NVIDIA developers said the problem is that:

"... it appears that Firefox is using an enormous pixmap
that exceeds the GPU's maximum rendering dimensions, causing software
fallbacks."

and since they haven't yet solved it, the issue is still in effect. However it's worth mentioning that neither Opera, nor Google Chrome has this bug.
Comment 17 Artem S. Tashkinov 2011-03-03 06:15:53 PST
Funnily even relatively short web pages cause huge CPU spikes and slowness, like this one: https://bugs.launchpad.net/ubuntu/+source/hal/+bug/19556
Comment 18 Jacopo Moronato 2011-03-18 07:03:40 PDT
See also this: https://bugs.launchpad.net/firefox/+bug/223238
Comment 19 Artem S. Tashkinov 2011-03-22 11:55:23 PDT
BTW, scrolling is *not* necessary - Firefox takes up to 2 seconds just to switch to *any* page on bugs.launchpad.net, like this one: https://bugs.launchpad.net/ubuntu/+source/transmission/+bug/734615 - this web page is now only three-four screens long.
Comment 20 George Carstoiu 2011-03-25 06:33:29 PDT
*** Bug 644275 has been marked as a duplicate of this bug. ***
Comment 21 Andrew Irving 2011-04-02 04:06:46 PDT
same for me. using 260.19.36 with a GeForce 6200.

Xorg cpu usage goes through the roof, even when not scrolling

User Agent: Mozilla/5.0 (X11; Linux i686; rv:2.0) Gecko/20100101 Firefox/4.0

build from mozilla.org.

Not limited to just launchpad, the "My eBay" page for me exhibits the same, to the point of being unusable
Comment 22 Michael 2011-05-04 05:03:35 PDT
I opened a bug in Launchpad for this same issue:
https://bugs.launchpad.net/firefox/+bug/748087
Comment 23 Calum 2011-05-04 06:17:44 PDT
@Michael the Launchpad bug, https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/605567 has already been raised and associated with this one. 

Also I should make the point that I commented in LP605567 that the other bug reports (https://bugs.launchpad.net/firefox/+bug/223238 & Bug #490563 ) are not the same as this one due to bug age and narrow range of sites affected.
Comment 24 Artem S. Tashkinov 2011-07-15 09:39:30 PDT
Can anyone check if 275.19 driver solve this issue?

http://www.nvidia.com/object/linux-display-ia32-275.19-driver.html
http://www.nvidia.com/object/linux-display-amd64-275.19-driver.html

From changelog:

"Fixed poor X driver handling of pixmap out of memory scenarios."
Comment 25 Johan R 2011-07-18 02:20:31 PDT
275.19 did not solve this issue for me.
Comment 26 Xruptor Darkwater 2011-09-29 06:52:49 PDT
This bug still exists.  With every update to FireFox this issue hasn't been addressed.  It's only getting worse and worse.  It seems the 2D painting is not properly functioning.  This only occurs with Nvidia drivers.  I've had to switch to another browser for the time being because browsing the internet has become unbearable on FireFox.  Please this really needs to be looked at.  Many people are affected with this problem.

https://bugs.launchpad.net/firefox/+bug/605567

https://answers.launchpad.net/ubuntu/+source/firefox/+question/165246

https://bugs.launchpad.net/ubuntu/+source/unity/+bug/855414
Comment 27 Emanuele 2011-10-09 04:44:02 PDT
I can confirm the problem is still present on Ubuntu 11.10.
Firefox 7, nvidia driver 280.13, geforce quadro nsv140 m.
Comment 28 Xruptor Darkwater 2011-10-11 16:35:16 PDT
I can also confirm this bug still exists in Ubuntu 11.10.  Nvidia driver 280.13 Firefox 7
Comment 29 greylander 2011-12-04 21:40:03 PST
I can confirm that Firefox 8, on Ubuntu 10.04 still has this bug.

The problem is so common for me that I just always expect it -- I do not think it matters at all what web page one is looking at.

I have chrome browser, side by side Firefox, both on this web page (this bug report page). Chrome scrolls smooth as silk and is extremely responsive. Firefox is jittery with much lag.

Example of behavior:  I use smooth scroll mouse wheel.  Flick the scroll wheel, and maybe it zips up pretty quick halfway, that stops suddenly -- with the wheel still spinning fast.  Do same in chrome and it scrolls all the way up (or down).

Generally speaking it is as if scrolling simply stops at random moments for up to 2-3 seconds (though about 1/2 second is probably most common).
Comment 30 Launchpad 2012-01-09 05:27:59 PST
Photon added the following comment to Launchpad bug report 605567:

Confirmed with Firefox 9.0.1, nvidia 290.10, Arch Linux.

-- 
http://launchpad.net/bugs/605567
Comment 31 Matt Alexander 2012-02-18 09:24:21 PST
Confirmed:

Debian 6.0.3
flashplugin-nonfree i386 1:2.8.2
iceweasel 9.0.1-1~bpo60+1
Comment 32 Matt Alexander 2012-02-18 09:27:19 PST
> flashplugin-nonfree i386 1:2.8.2

I meant nvidia-glx 195.36.31-6
Comment 33 David Schneider 2012-03-07 16:57:02 PST
Confirmed with Firefox 10.0.2, nvidia 295.20, Ubuntu 11.10.

Offending pages include Launchpad bug tracker, due to its 64x22031 sprite sheet
https://bugs.launchpad.net/+icing/rev14914/icon-sprites
and the new Dropbox design, which features a whopping 64x30030 sprite sheet (which performs even worse than the Launchpad one):
https://www2.dropbox.com/static/1331165834/images/sprites/sprites.png

As more and more web applications switch to sprite sheets to reduce page loading latency, new examples are going to become more frequent.
Comment 34 andylembke 2012-04-20 08:12:11 PDT
Confirmed for Firefox 11.0, Ubuntu 11.10, Nvidia 280.10.

And pre-confirming for Firefox 12.0 to 99.0.

What really drives me mad about this bug is that not only it doesn't get fixed for such a long time, but also I have the impression that firefox becomes a Windows-only browser. When I fire up Firefox on Windows XP, it is an extremely fast browser that does not leave anything to be desired.
Comment 35 Artem S. Tashkinov 2012-07-01 01:37:06 PDT
Am I the only one for whom this page http://blog.neverendingo.de/?p=125 exhibits the same problems? (Jerky scrolling and 100% CPU usage)

Is it the same problem or I should post a separate bug report?

(Firefox 14 beta10 here, NVIDIA 290.10)
Comment 36 Tim Taubert [:ttaubert] 2012-07-01 02:00:58 PDT
*** Bug 671862 has been marked as a duplicate of this bug. ***
Comment 37 Julien Wajsberg [:julienw] 2012-07-01 04:32:46 PDT
I'd say it's different and more related to the fixed background with semi-transparent div layered on top of it.

As a hint, changing the zoom level doesn't help whereas it helps in other testcases.
Comment 38 Max Mustermann 2012-09-25 03:41:46 PDT
Confirmed for Iceweasel 15 on Debian Wheezy, NVIDIA 304.51. Chromium runs just fine.
Comment 39 Andreas Eibach 2012-12-08 14:28:57 PST
Well, this animal here is still running Iceweasel 10.0.4, but I think that doesn't matter.
Nvidia card yes (GeForce FX series). Running nouveau drivers, no proprietary ones.

What Artem said in his initial post, proved WRONG on my machine. I had IW 3.6.13 for quite a long time, and it always worked marvellously, even with "difficult" sites.

However: this has visibly changed once I decided to move over to a new libc and base system.
Since then, I recognize the following:

- Tab switching from $COMPLEX_SITE_1 to $COMPLEX_SITE_2 takes literally ages (up to 3 seconds)
(People claimed to cure this by applying the Ubuntu (!) version of libcairo 1.12.* (which, unline the current (!) non-testing Debian version does without server gradients) but frankly, that rather resembled some voodoo magic. No significant changes with that "tweak" on here, whatsoever.)

- Scrolling with Javascript-heavy sites is a nightmare.
I'll try to describe:

Site scrolling movement always seems to "hang behind" the mouse wheel. So you would press the mouse wheel *gently*, and with a decent delay, the page would scroll down resp. up. Yeah, it's like some satellite communication back in the 1980s :) You'd crack a joke, and 30 seconds later the person on the other end bursts out laughing :) It's very odd.

You would
Comment 40 lokiisyourmaster 2013-03-14 03:38:09 PDT
Can confirm this bug too - for example after logging in dropbox.com
Using 64-bit Kubuntu 12.04 based distro, with KDE 4.10.1, proprietary Nvidia 310.14 drivers and Firefox 19.0.2
Actually I'm having this bug since forever - way before it was reported.
I can also confirm that changing zoom level makes the things better.
Comment 41 lokiisyourmaster 2013-03-14 04:22:06 PDT
A quick workaround I've just come up with: install the "Default Zoom Level" extension, and set the default zoom to 101%.
This way, the zoom is barely noticeable, and the bug is gone...
Comment 42 Adam Porter 2013-05-16 12:11:46 PDT
I'm glad to have found this bug report.  I've been having this problem for a long time now.  I've exclusively used Firefox on Linux for so long that I had gradually become somewhat accustomed to it.  I was frustrated with how slow it was, even doing simple things like switching between open tabs, but it's only when I use Firefox on another machine or in Windows that I notice that doing the same things is nearly instantaneous.  It also seems much faster using Firefox in Linux on a machine with an AMD GPU.  But my old laptop with an NVIDIA 8400M GS is so, so slow with Firefox...I really hope someone can fix this.
Comment 43 Artem S. Tashkinov 2013-09-11 06:34:52 PDT
(In reply to Artem S. Tashkinov from comment #35)

http://blog.neverendingo.de/?p=125 is still incredibly sluggish, however launchpad pages now work fast.

Has launchpad been redesigned recently?
Comment 44 Julien Wajsberg [:julienw] 2013-10-09 09:22:08 PDT
I wonder if we could not turn on tiling on desktop ? Or do this if we detect a nvidia/linux driver ?
Comment 45 Nicolas Silva [:nical] 2013-10-09 11:19:35 PDT
(In reply to Julien Wajsberg [:julienw] (in MozSummit until next monday) from comment #44)
> I wonder if we could not turn on tiling on desktop ? Or do this if we detect
> a nvidia/linux driver ?

Tiling requires OMTC + layers acceleration. We have a lot to do before we get there. I recently tested OMTC+tiling on linux and it is very unstable.

These days there's been a lot of efforts put in turning on OMTC for desktop platforms (mac and soon windows). Electrolysis also requires OMTC. So we'll eventually get there on linux too but it's not a top priority for now. It's a great place for contributions, though. If anyone's interested, I can mentor contributions in this area.
Comment 46 Mike 2013-10-27 14:40:55 PDT
Can confirm this bug too - for example at Google images https://www.google.de/imghp
Scrolling is very slow and leaks for seconds.
I am using 64-bit Debian wheezy based distro (crunchbang), with Openbox 3.5, Nvidia GTS-450 with 
proprietary Nvidia 325.15 drivers and today updated to iceweasle 24 via wheezy-backports

Other browsers like chromium works like a charm. Same system only with Intel onboard graphics also works properly.

This bug occurs for years.
Comment 47 Tim Stewart 2013-11-04 11:08:10 PST
I am experiencing the same issue, with an NVIDIA GeForce 7800 GTX on Debian Wheezy.  Iceweasel and Firefox both exhibit slow and choppy scrolling with high Xorg CPU usage.  I'm using the proprietary NVIDIA driver, version 304.88.
Comment 48 Jurgen Wolf 2014-01-06 11:36:06 PST
The same story, awful scrolling with Firefox 26 and 304.117 nVidia (GeForce 6100/nForce 410).
Some known tweaks via about:config + disabled smooth scrolling = minor changes.

No any problems with Chrome.
Comment 49 Andreas Eibach 2014-01-08 16:26:13 PST
Can you please elaborate on those tweaks? It will be better than nothing, since telling from current developers' interest, I'm pretty sure this bug won't be fixed until end of 2015 (if at all). Developers usually use cutting-edge hardware---also graphics cards---so they won't care much about problems with "old" cards.
Comment 50 Jurgen Wolf 2014-01-08 16:38:44 PST
And again: mentioned FF-tweaks are completely unuseful with PROPRIETARY nVidia driver.

2015???
OK, I will use Chrome/midori or something else based on webkit.
Comment 51 fernookie 2014-05-18 19:54:20 PDT
Firefox is now v29. Linux Mint 14 - 64 bit here, nVidia GTX 560 Ti, driver version 304.117. Bug is still unresolved, Firefox stutters on every page. Looks like they simply don't care.
Comment 52 Julien Wajsberg [:julienw] 2014-05-19 00:31:04 PDT
We could reasonably argue that nvidia doesn't care either :)
Comment 53 Jurgen Wolf 2015-07-31 11:16:29 PDT
Solution is here: www.waveguide.se/?article=speed-up-that-sluggish-iceweasel-firefox
Works for me, no lags at now.

----
Manjaro Linux (XFCE, kernel 4.1.3)
Nvidia 304.125
Firefox 39
Comment 54 Jurgen Wolf 2015-07-31 12:38:12 PDT
+ additional useful tweaks: https://wiki.archlinux.org/index.php/Firefox_tweaks
Comment 55 Stewart 2015-11-16 11:02:29 PST
Thanks for that tip Jurgen, that restores the snappy speed I expect from my system. (Sempron,Nvidia,Debian,noveau driver)

However a tweak does not really Fix the bug, and to that end, I'd like to know if this sample page is the same problem? (or if I should file a new bug report that affects current Iceweasel/Firefox and Seamonkey-2.33.1)
http://seahorseCorral.org/weatherRadar-tiw-overlay3.html

Without tweaking anything, the refresh rate is about once per 20 seconds. Effectively makes the page useless in Firefox.
and adjusting the page zoom does not change the behavior. Idea: Try using the menu, it may take 2 minutes to navigate to the zoom settings... :P

When the image width and height are 1:1 to the actual size, it works fine:
http://seahorsecorral.org/weatherRadar-tiw-overlay1.html
Comment 56 Jurgen Wolf 2015-11-16 11:22:01 PST
Stewart, per my experience with all browsers - I recommend you to use QupZilla for work and Chromium for video.

Note You need to log in before you can comment on or make changes to this bug.